Bug 183227 - PHP API needs encoding as a Provide ( php-api php(API) )
PHP API needs encoding as a Provide ( php-api php(API) )
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 11:50 EST by Tim Jackson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.1.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-28 12:02:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2006-02-27 11:50:07 EST
PHP binary modules that are compiled against PHP will break and need recompiling
when the PHP internal API version changes.

Clearly this dependency ought to be encoded in the RPM database to avoid
unexpected breakage of apps. Therefore the Core PHP package should have a
Provide of php(API), php-api or something similar with a version number
appropriate to the API that it contains. e.g.:

Provides: php(API) = 20020918

Bug #170131 and http://marc.theaimsgroup.com/?t=113745441400005 have references
to this problem.
Comment 1 Joe Orton 2006-02-28 12:02:51 EST
Good idea.  "php-api = <integer>" added for 5.1.2-5.
Comment 2 Tim Jackson 2006-05-23 13:40:19 EDT
on reflection this should probably have been:

php-devel Provides php-api

and

php Provides php-abi

No doubt someone will moan about the API/ABI thing at some point :)

(actually, come to think of it, php-devel doesn't Provide anything...maybe
that's a new bug)

Note You need to log in before you can comment on or make changes to this bug.